package com.bocloud.nms.model.agile;

public class PortModel {
    private String name; // 名称
    private Long portId;// 端口ID
    private String status;// 状态
    private String deviceUuid;// 设备ID
    private String deviceOwner;// 连接设备
    private String networkUuid;// 网络ID
    private String macAddress;// MAC地址
    private String portUuid;// 端口ID
    private String regionId;
    private String remark;
    private Boolean deleteWithInstance;
    private String bindingVifType;
    private String tenantUuid;
    private String ipAddress;

    public PortModel(String name, String status, String deviceUuid, String deviceOwner, String ipAddress,
                     String subnetUuid, String networkUuid, String macAddress, String portUuid) {
        this.name = name;
        this.status = status;
        this.deviceUuid = deviceUuid;
        this.deviceOwner = deviceOwner;
        this.networkUuid = networkUuid;
        this.macAddress = macAddress;
        this.portUuid = portUuid;
    }

    public PortModel() {
        super();
    }

    /**
     * @return the name
     */
    public String getName() {
        return name;
    }

    /**
     * @param name the name to set
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * @return the status
     */
    public String getStatus() {
        return status;
    }

    /**
     * @param status the status to set
     */
    public void setStatus(String status) {
        this.status = status;
    }

    /**
     * @return the deviceUuid
     */
    public String getDeviceUuid() {
        return deviceUuid;
    }

    /**
     * @param deviceUuid the deviceUuid to set
     */
    public void setDeviceUuid(String deviceUuid) {
        this.deviceUuid = deviceUuid;
    }

    /**
     * @return the deviceOwner
     */
    public String getDeviceOwner() {
        return deviceOwner;
    }

    /**
     * @param deviceOwner the deviceOwner to set
     */
    public void setDeviceOwner(String deviceOwner) {
        this.deviceOwner = deviceOwner;
    }

    /**
     * @return the networkUuid
     */
    public String getNetworkUuid() {
        return networkUuid;
    }

    /**
     * @param networkUuid the networkUuid to set
     */
    public void setNetworkUuid(String networkUuid) {
        this.networkUuid = networkUuid;
    }

    /**
     * @return the macAddress
     */
    public String getMacAddress() {
        return macAddress;
    }

    /**
     * @param macAddress the macAddress to set
     */
    public void setMacAddress(String macAddress) {
        this.macAddress = macAddress;
    }

    /**
     * @return the portUuid
     */
    public String getPortUuid() {
        return portUuid;
    }

    /**
     * @param portUuid the portUuid to set
     */
    public void setPortUuid(String portUuid) {
        this.portUuid = portUuid;
    }

    /**
     * @return the portId
     */
    public Long getPortId() {
        return portId;
    }

    /**
     * @param portId the portId to set
     */
    public void setPortId(Long portId) {
        this.portId = portId;
    }

    public String getRegionId() {
        return regionId;
    }

    public void setRegionId(String regionId) {
        this.regionId = regionId;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Boolean getDeleteWithInstance() {
        return deleteWithInstance;
    }

    public void setDeleteWithInstance(Boolean deleteWithInstance) {
        this.deleteWithInstance = deleteWithInstance;
    }

    public String getBindingVifType() {
        return bindingVifType;
    }

    public void setBindingVifType(String bindingVifType) {
        this.bindingVifType = bindingVifType;
    }

    public String getTenantUuid() {
        return tenantUuid;
    }

    public void setTenantUuid(String tenantUuid) {
        this.tenantUuid = tenantUuid;
    }

    public String getIpAddress() {
        return ipAddress;
    }

    public void setIpAddress(String ipAddress) {
        this.ipAddress = ipAddress;
    }
}
